diff --git a/changelog b/changelog
index 2a699f6..9398dcc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080831 tpd src/algebra/algfact.spad graphviz dotfile decoration
+20080831 tpd src/algebra/algext.spad graphviz dotfile decoration
 20080830 tpd src/algebra/trigcat.spad graphviz dotfile decoration
 20080830 tpd src/algebra/si.spad graphviz dotfile decoration
 20080830 tpd src/algebra/sf.spad graphviz dotfile decoration
@@ -1028,23 +1030,23 @@
 20080416 tpd src/input/schaum3.input show Schaums-Axiom equivalence
 20080416 tpd src/input/schaum2.input show Schaums-Axiom equivalence
 20080415 tpd src/input/schaum1.input show Schaums-Axiom equivalence
-20080414 tpd src/input/Makefile add integration regression testing	
+20080414 tpd src/input/Makefile add integration regression testing
 20080414 tpd src/input/schaum34.input integrals of csch(ax)
 20080414 tpd src/input/schaum33.input integrals of csch(ax)
 20080414 tpd src/input/schaum32.input integrals of sech(ax)
 20080414 tpd src/input/schaum31.input integrals of coth(ax)
-20080413 tpd src/input/Makefile add integration regression testing	
+20080413 tpd src/input/Makefile add integration regression testing
 20080413 tpd src/input/schaum30.input integrals of tanh(ax)
 20080413 tpd src/input/schaum29.input integrals of sinh(ax) and cosh(ax)
 20080413 tpd src/input/schaum28.input integrals of cosh(ax)
 20080413 tpd src/input/schaum27.input integrals of sinh(ax)
 20080413 tpd src/input/schaum26.input integrals of ln x
-20080409 tpd src/input/Makefile add integration regression testing	
+20080409 tpd src/input/Makefile add integration regression testing
 20080409 tpd src/input/schaum25.input integrals of e^(a*x)
 20080409 tpd readme add Max Tegmark
 20080409 tpd src/interp/setq.lisp add Max Tegmark
 20080409 tpd src/doc/toe.gif added, by Max Tegmark <tegmark@mit.edu>
-20080409 tpd src/input/Makefile add integration regression testing	
+20080409 tpd src/input/Makefile add integration regression testing 
 20080409 tpd src/input/schaum24.input integrals of inverse trig functions
 20080409 tpd src/input/schaum23.input integrals of csc(ax)
 20080409 tpd src/input/schaum22.input integrals of sec(ax)
@@ -1227,7 +1229,7 @@
 20080104 mxr src/input/calculus2.input fix function names (7093)
 20080103 mxr src/algebra/sf.spad handle besselK (7090/355)
 20080103 mxr src/algebra/op.spad handle besselK (7090/355)
-20080103 mxr src/algebra/combfunc.spad handle besselK (7090/355)	
+20080103 mxr src/algebra/combfunc.spad handle besselK (7090/355) 
 20080102 tpd src/hyper/Makefile.pamphlet fix typo for axbook
 20071230 tpd src/hyper/Makefile prevent spurious remake of axbook (7052)
 20071230 tpd src/input/summation.input update tests with new mathml output
@@ -1896,7 +1898,7 @@
 20070704 tpd zips/gcl-2.6.3.cmpnew.gcl_cmpflet.lsp.patch dos2unix
 20070704 tpd zips/gcl-2.6.2.cmpnew.gcl_cmpflet.lsp.patch dos2unix
 20070704 tpd zips/gcl-2.6.2a.cmpnew.gcl_cmpflet.lsp.patch dos2unix
-20070702 tpd src/input/asec.input fix \usepackage order	
+20070702 tpd src/input/asec.input fix \usepackage order 
 20070701 tpd merge downcase branch to master
 20070701 tpd src/hyper/pages/util.ht downcase Continue, DoIt bitmaps
 20070701 tpd src/interp/setvart.boot downcase INTERP.EXPOSED
diff --git a/src/algebra/algext.spad.pamphlet b/src/algebra/algext.spad.pamphlet
index 30e5152..3fd1300 100644
--- a/src/algebra/algext.spad.pamphlet
+++ b/src/algebra/algext.spad.pamphlet
@@ -10,6 +10,11 @@
 \tableofcontents
 \eject
 \section{domain SAE SimpleAlgebraicExtension}
+<<dot>>=
+"SAE" -> "MONOGEN"
+"SimpleAlgebraicExtension(a:CommutativeRing,b:UnivariatePolynomialCategory(a))"
+ -> "MonogenicAlgebra(a:CommutativeRing,b:UnivariatePolynomialCategory(a))"
+@
 <<domain SAE SimpleAlgebraicExtension>>=
 )abbrev domain SAE SimpleAlgebraicExtension
 ++ Algebraic extension of a ring by a single polynomial
diff --git a/src/algebra/algfact.spad.pamphlet b/src/algebra/algfact.spad.pamphlet
index 3e90bb5..7940d37 100644
--- a/src/algebra/algfact.spad.pamphlet
+++ b/src/algebra/algfact.spad.pamphlet
@@ -10,6 +10,10 @@
 \tableofcontents
 \eject
 \section{package IALGFACT InnerAlgFactor}
+<<dot>>=
+"IALGFACT" -> "PACKAGE"
+"InnerAlgFactor(a:Field,b:UPOLYC(a),c:Join(...),d:UPOLYC(c))" -> "Package"
+@
 <<package IALGFACT InnerAlgFactor>>=
 )abbrev package IALGFACT InnerAlgFactor
 ++ Factorisation in a simple algebraic extension
@@ -99,6 +103,11 @@ InnerAlgFactor(F, UP, AlExt, AlPol): Exports == Implementation where
 
 @
 \section{package SAEFACT SimpleAlgebraicExtensionAlgFactor}
+<<dot>>=
+"SAEFACT" -> "PACKAGE"
+"SimpleAlgebraicExtensionAlgFactor(a:UPOLYC(FRAC(INT)),b:Join(...),c:UPOLYC(b))"
+   -> "Package"
+@
 <<package SAEFACT SimpleAlgebraicExtensionAlgFactor>>=
 )abbrev package SAEFACT SimpleAlgebraicExtensionAlgFactor
 ++ Factorisation in a simple algebraic extension;
@@ -127,6 +136,10 @@ SimpleAlgebraicExtensionAlgFactor(UP,SAE,UPA):Exports==Implementation where
 
 @
 \section{package RFFACT RationalFunctionFactor}
+<<dot>>=
+"RFFACT" -> "PACKAGE"
+"RationalFunctionFactor(a:UPOLYC(FRAC(POLY(INT))))" -> "Package"
+@
 <<package RFFACT RationalFunctionFactor>>=
 )abbrev package RFFACT RationalFunctionFactor
 ++ Factorisation in UP FRAC POLY INT
@@ -166,6 +179,11 @@ RationalFunctionFactor(UP): Exports == Implementation where
 
 @
 \section{package SAERFFC SAERationalFunctionAlgFactor}
+<<dot>>=
+"SAERFFC" -> "PACKAGE"
+"SAERationalFunctionAlgFactor(a:UPOLYC(FRAC(POLY(INT))),b:Join(...),c:UPOLYC(b))"
+    -> "Package"
+@
 <<package SAERFFC SAERationalFunctionAlgFactor>>=
 )abbrev package SAERFFC SAERationalFunctionAlgFactor
 ++ Factorisation in UP SAE FRAC POLY INT
@@ -194,6 +212,10 @@ SAERationalFunctionAlgFactor(UP, SAE, UPA): Exports == Implementation where
 
 @
 \section{package ALGFACT AlgFactor}
+<<dot>>=
+"ALGFACT" -> "PACKAGE"
+"AlgFactor(UPOLYC(AN))" -> "Package"
+@
 <<package ALGFACT AlgFactor>>=
 )abbrev package ALGFACT AlgFactor
 ++ Factorization of UP AN;
